%define name	gnome-sshman
%define version 0.4.3
%define release 1mdk

Name: 	 	%{name}
Summary: 	SSH connection manager for GNOME and Nautilus
Version: 	%{version}
Release: 	%{release}

Source:		http://savannah.nongnu.org/download/gnome-sshman/%{name}-%{version}.tar.bz2
URL:		http://www.oronetes.net/webs/gnome-sshman/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	pygtk2.0-libglade gnome-terminal
BuildArch:	noarch

%description
Gnome-sshman is an SSH session manager for GNOME. It is easy and fast to use,
and is useful for system administrators that need to connect to many SSH
servers. Gnome-sshman saves ssh sessions and allows you to open a saved
session with a double click in nautilus or opening a new session running
gnome-sshman.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
cp bin/%name %buildroot/%_bindir/
mkdir -p %buildroot/%_datadir/%name
cp libs/* %buildroot/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="terminals_section.png" needs="x11" title="Gnome-SSHMan" longtitle="Manage SSH connections" section="System/Terminals"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc CHANGELOG README
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name

%changelog
* Tue Feb 22 2005 Austin Acton <austin@mandrake.org> 0.4.3-1mdk
- New release 0.4.3
- fix source URL

* Fri Feb 11 2005 Austin Acton <austin@mandrake.org> 0.4-1mdk
- 0.4

* Tue Feb 8 2005 Austin Acton <austin@mandrake.org> 0.3.2-1mdk
- 0.3.2
- require gnome-terminal instead of xterm

* Thu Feb 6 2005 Austin Acton <austin@mandrake.org> 0.3-1mdk
- initial package
